variable "project_name" {
  type        = string
  description = "Nom logique du projet"
  default     = "projet-virtualisation"
}

variable "region" {
  type        = string
  description = "Région dans laquelle déployer les ressources"
  default     = "europe-west9"
}

variable "zone" {
  description = "Zone dans laquelle déployer les instances compute"
  type        = string
  default     = "europe-west9-b"
}

variable "frontend_cidr" {
  description = "CIDR for frontend subnet"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR for backend subnet"
  type        = string
  default     = "10.0.2.0/24"
}

variable "database_cidr" {
  description = "CIDR for database subnet"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  type        = string
  description = "Plages d’adresses autorisées à se connecter en SSH"
  default     = "0.0.0.0/0"
}

variable "project_id" {
  description = "ID du projet GCP"
  type        = string
  default     = "projet-virtualisation-478713"
}

variable "instance_type" {
  description = "Type de machine pour les VM"
  type        = string
  default     = "e2-small"
}
